Mudlet and FreeBSD

A category for whatever! Can be Mudlet-related or offtopic.
Post Reply
User avatar
SlySven
Posts: 894
Joined: Mon Mar 04, 2013 3:40 pm
Location: Deepest Wiltshire, UK
Discord: SlySven#2703

Mudlet and FreeBSD

Post by SlySven » Sun Jan 14, 2018 4:43 am

In case anyone had spotted a slight change in my Avatar I will explain that I have recently installed and started using FreeBSD on my now Triple-boot main PC {I had experimented with the GNU/Hurd but never got it to install but maybe if I wait a bit longer (another 10 years) perhaps that will be a bit close to getting to Version 1.0 :lol: }. After a bit of frobbing I have managed to get it to compile and run on the current OS 11.1-RELEASE version:

Image

However the main sticky thing is that the luarocks version on that version of FreeBSD is based on Lua 5.2 and I have to arrange for a 5.1 version to be available for Mudlet to get a couple of modules that come in a rocks form.

I will have to sit down and work out how to create the set of instructions needed to make a Mudlet entry into the "Ports" system that is used on that platform to build packages from source but it has been an interesting task so far... :geek:

Pavonn
Posts: 1
Joined: Mon May 28, 2018 10:50 am

Re: Mudlet and FreeBSD

Post by Pavonn » Tue Jun 05, 2018 5:30 pm

Hi Sven, did you ever get to writing those instructions? I'd love to take a look at this and play around with it a bit.

User avatar
SlySven
Posts: 894
Joined: Mon Mar 04, 2013 3:40 pm
Location: Deepest Wiltshire, UK
Discord: SlySven#2703

Re: Mudlet and FreeBSD

Post by SlySven » Tue Jun 05, 2018 6:25 pm

Must confess I'm stalled on that with too much to do elsewhere - however the source will build now with the clang compiler and libraries (including development ones as appropriate) on the FreeBSD-11.1-RELEASE platform - so if you want to take a look install Qt Creator and git and then clone the main repository and open the ./src/mudlet.pro project and see where you get to.

The main awkwardness is that there are some luarocks modules needed when running the Mudlet application and that needs a lua 5.1 flavour luarocks but the standard ports/package build is now 5.2 - I am not using luarocks for anything else so I was able to build a 5.1 flavoured port and install that. It seems that luarocks itself can handle multiple lua versions as the major.minor version number is used in the paths for where files are stored. One further issue with this lua package system is that Mudlet is not setup currently to consider --local rock trees - it only uses the system ones on any OS platform.

If you report back how you get on it might help others using *BSDs OSes - but note that currently I'm not sure Mudlet is up to being a proper "Port" because there are some paths that are compiled in and which won't play nice with the FreeBSD port/packaging system... I'm working from a ~/src/mudlet directory for my development work!

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests